Summary:	Command-line WebDAV client
Name:		cadaver
Version:	0.23.3
Release:	%mkrel 15
License:	GPLv2+
Group:		Networking/File transfer
URL:		http://www.webdav.org/cadaver/
Source0:	http://www.webdav.org/cadaver/%{name}-%{version}.tar.gz
Source1:	http://www.webdav.org/cadaver/%{name}-%{version}.tar.gz.asc
Patch0:		cadaver-0.23.3-neon030.patch
BuildRequires:	pkgconfig(expat)
BuildRequires:	pkgconfig(neon)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(ncurses)
BuildRequires:	pkgconfig(openssl)
BuildRequires:	readline-devel
BuildRequires:	pkgconfig(zlib)

%description
A command-line WebDAV client. Supports file upload, download,
on-screen display, namespace operations (move/copy), collection
creation and deletion, and locking operations.

%prep
%setup -q
%autopatch -p1

%build
#autoreconf -vfi
%configure \
    --with-neon=%{_prefix} \
    --with-ssl \
    --with-libxml2

%make_build

%install
%make_install

%find_lang %{name}

%files -f %{name}.lang
%doc NEWS TODO FAQ README ChangeLog
%{_bindir}/*
%{_mandir}/man1/*




%changelog
* Thu Jun 11 2020 joequant <joequant> 0.23.3-15.mga8
+ Revision: 1592244
- neon 0.30 and redo configure to fix build
- remove arm workaround

* Tue Feb 18 2020 umeabot <umeabot> 0.23.3-13.mga8
+ Revision: 1542079
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sat Jan 04 2020 luigiwalser <luigiwalser> 0.23.3-12.mga8
+ Revision: 1475936
- rebuild for readline
+ wally <wally>
- replace deprecated %%makeinstall_std

* Sat Sep 22 2018 umeabot <umeabot> 0.23.3-11.mga7
+ Revision: 1295834
- Mageia 7 Mass Rebuild

* Tue Jun 05 2018 wally <wally> 0.23.3-10.mga7
+ Revision: 1234695
- fix build on aarch64

* Tue Jan 02 2018 wally <wally> 0.23.3-9.mga7
+ Revision: 1189416
- rebuild for new readline

* Fri Feb 05 2016 umeabot <umeabot> 0.23.3-8.mga6
+ Revision: 939314
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.23.3-7.mga5
+ Revision: 739837
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.23.3-6.mga5
+ Revision: 678279
- Mageia 5 Mass Rebuild

* Sun Mar 09 2014 wally <wally> 0.23.3-5.mga5
+ Revision: 601514
- add patch to build with new libneon
- clean .spec

* Fri Oct 18 2013 umeabot <umeabot> 0.23.3-4.mga4
+ Revision: 503235
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 0.23.3-3.mga3
+ Revision: 347293
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jun 22 2011 ennael <ennael> 0.23.3-2.mga2
+ Revision: 112340
- clean buildroot
- imported package cadaver

